@echo off

REM.-- Prepare the Command Processor --
SETLOCAL ENABLEEXTENSIONS
SETLOCAL ENABLEDELAYEDEXPANSION

REM.-- Version History
SET version=13.0-beta &:20130527 knackko.   version initiale
SET version=13.0-0 &:20130728 knackko.   version initiale

REM !! For a new version entry, copy the last entry down and modify Date, Author and Description
SET version=%version: =%

REM !! 
REM.-- Set the title
SET title=ODSsync - version %version%
TITLE %title%

SET rsync_options= --progress --stats -trh
SET menu_space=                  
SET rfactor_path=../
SET rfactor=..
SET rsyncd_host=87.118.106.245
SET rsyncd_module=2013
SET logfile=../rFactor-ODSsync.log

SET LANG=FR

if  not exist "%rfactor%\GameData\Vehicles\HISTORIC GT\HISTORICAL FIA GT\TC-65\CORTINA\cortina.gen" (
	SET errorlevel=100
	goto error
)

:menuLOOP
if "%LANG%"=="FR" (
	call FR.bat
) else (
	call EN.bat
)

color 0B
mode con lines=35
echo.
echo.
type sync_logo.txt
echo.
echo                                                                   v%version%
echo.
echo.
echo.
REM echo.%menu_space%= Choisir l'element a synchroniser =
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"findstr /b /c:":menu_" "%~f0""') do echo.                  %%B  %%C
set choice=
echo.
echo.
echo.
echo.
echo.
echo.&set /p choice=!lang_menu!: ||GOTO:EOF
echo.&call:menu_%choice%
GOTO:menuLOOP

::-----------------------------------------------------------
:: menu functions follow below here
::-----------------------------------------------------------

:menu_1   !lang_menu_1!
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Championnat_printemps2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/hgttc_ods2013.mod rsync://%rsyncd_host%:/%rsyncd_module%/mods/HGTTC_ODS %rfactor_path% || goto error
GOTO:succeed

:menu_2   !lang_menu_2!
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Championnat_automne2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/hgttc_ods2013.mod rsync://%rsyncd_host%:/%rsyncd_module%/mods/HGTTC_ODS %rfactor_path% || goto error
GOTO:succeed

:menu_3   !lang_menu_3!
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Trophee2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/hgttc_ods2013.mod rsync://%rsyncd_host%:/%rsyncd_module%/mods/HGTTC_ODS %rfactor_path% || goto error
GOTO:succeed

:menu_4   !lang_menu_4!
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Interligue2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/hgttc_ods2013.mod rsync://%rsyncd_host%:/%rsyncd_module%/mods/HGTTC_ODS %rfactor_path% || goto error
GOTO:succeed

:menu_5   !lang_menu_5!
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Championnat_printemps2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Championnat_automne2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Trophee2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/Interligue2013.tracks rsync://%rsyncd_host%:/%rsyncd_module%/tracks %rfactor_path%/Gamedata/Locations/ || goto error
rsync.exe %rsync_options% --delete-during --log-file=%logfile% --files-from=:Packs/hgttc_ods2013.mod rsync://%rsyncd_host%:/%rsyncd_module%/mods/HGTTC_ODS %rfactor_path% || goto error
GOTO:succeed

:menu_

:menu_A !lang_menu_6!
color 0B
mode con lines=35
echo.
echo.
type sync_logo.txt
echo.
echo                                                                   v%version%
echo.
echo.
echo.
REM echo.%menu_space%= Choisir l'element a synchroniser =
echo.
for /f "tokens=1,2,* delims=_ " %%A in ('"findstr /b /c:":menuaddons_" "%~f0""') do echo.                  %%B  %%C
set choice=
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.&set /p choice=!lang_menu!: ||GOTO:EOF
echo.&call:menuaddons_%choice%
GOTO:menuaddons

:menu_

:menu_L EN/FR
if "%LANG%"=="EN" (
	SET LANG=FR
)
else (
	SET LANG=EN
)
GOTO:EOF

:menu_R !lang_menu_7!
rsync.exe %rsync_options% --log-file=%logfile% rsync://%rsyncd_host%:/%rsyncd_module%/Changelog.txt ../rFactor-ODS_Changelog.txt || goto error
start notepad ../rFactor-ODS_Changelog.txt
GOTO:EOF

::-----------------------------------------------------------
:: menu functions follow below here
::-----------------------------------------------------------

:menuaddons_1   !lang_menuaddons_1!
rsync.exe %rsync_options% --log-file=%logfile% --files-from=:addons/mecanos_vintage.addons rsync://%rsyncd_host%:/%rsyncd_module%/addons/mecanos_vintage %rfactor_path% || goto error
GOTO:succeed

:menuaddons_2   !lang_menuaddons_2!
rsync.exe %rsync_options% --log-file=%logfile% --files-from=:addons/ods_shortcuts.addons rsync://%rsyncd_host%:/%rsyncd_module%/addons/ods_shortcuts %rfactor_path% || goto error
GOTO:succeed

:menuaddons_3   !lang_menuaddons_3!
rsync.exe %rsync_options% --log-file=%logfile% --files-from=:addons/no_pitsound.addons rsync://%rsyncd_host%:/%rsyncd_module%/addons/no_pitsound %rfactor_path% || goto error
GOTO:succeed

:succeed
cls
color 02
set msg=                    Reussite de la synchronisation
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.================================================================================
echo.
echo %msg%
echo.
echo.
echo.================================================================================
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo %msg% >> %logfile%
pause
cls
goto :EOF

:error
set code=%errorlevel%
if "%code%"=="10" SET msg2=(%code%) connexion impossible au serveur
if "%code%"=="100" SET msg2=(%code%) Mod HGTTCv1.95 non installe ! synchro impossible

cls
color 0C
set msg1=Probleme lors de la synchronisation, 
set msg3=Si le probleme persiste, creez un ticket sur le support du forum 
set msg4=old-drivers-spirit.fr et joignez au ticket le fichier %logfile%
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.================================================================================
echo.
echo   %msg1%
echo   %msg2%
echo.
echo   %msg3%
echo   %msg4%
echo.
echo.================================================================================
echo.
echo.
type sync_error.txt
echo.
echo.
echo.
echo.
echo.
echo %msg2% >> %logfile%
pause
cls
goto :EOF


REM.-- End of application
pause